;; bld-update.el --- Update pkgusr build scripts via ediff   -*- Emacs-Lisp -*-

;; Copyright (C) 2014 Steve Youngs

;; Author:     Steve Youngs <steve@steveyoungs.com>
;; Maintainer: Steve Youngs <steve@steveyoungs.com>
;; Created:    <2014-03-10>
;; Time-stamp: <Saturday Mar 15, 2014 12:10:40 steve>

;; This file is part of pkgusr.

;; Redistribution and use in source and binary forms, with or without
;; modification, are permitted provided that the following conditions
;; are met:
;;
;; 1. Redistributions of source code must retain the above copyright
;;    notice, this list of conditions and the following disclaimer.
;;
;; 2. Redistributions in binary form must reproduce the above copyright
;;    notice, this list of conditions and the following disclaimer in the
;;    documentation and/or other materials provided with the distribution.
;;
;; 3. Neither the name of the author nor the names of any contributors
;;    may be used to endorse or promote products derived from this
;;    software without specific prior written permission.
;;
;; THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR
;; IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
;; WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
;; DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
;; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
;; CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
;; SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
;; BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
;; WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
;; OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
;; IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

;;; Commentary:
;; 
;;   Just calls #'ediff-files to update build scripts.  Probably way
;;   over the top, but it is the best and easiest way I know of to
;;   incrementally and interactively apply a diff.

;;; Code:
(require 'ediff)
(defvar pkgusr-build-script
  (expand-file-name "build" (user-home-directory))
  "The pkgusr's build script.")

(defvar system-build-script
  (expand-file-name "build"
		    (paths-construct-path
		     (list "/etc" "pkgusr" "skel-package")))
  "The build script new pkgusrs get.")

(ediff-files pkgusr-build-script system-build-script)

;;; bld-update.el ends here
